about summary refs log tree commit diff stats
path: root/hm/soispha/pkgs/scripts/wrappers/neorg
diff options
context:
space:
mode:
authorSoispha <soispha@vhack.eu>2023-10-20 21:56:48 +0200
committerSoispha <soispha@vhack.eu>2023-10-20 21:56:48 +0200
commit989862b78ac1acb159128dcde6fa77a13465ddb9 (patch)
tree36382e9a280d77a6b525c625fa72296856116d07 /hm/soispha/pkgs/scripts/wrappers/neorg
parentfeat(hm/pkgs/scr/neorg): Add support for Firefox context specific profiles (diff)
downloadnixos-config-989862b78ac1acb159128dcde6fa77a13465ddb9.tar.gz
nixos-config-989862b78ac1acb159128dcde6fa77a13465ddb9.zip
fix(hm/pkgs/scr/neorg): Cd to dirname of package file
Diffstat (limited to '')
-rwxr-xr-xhm/soispha/pkgs/scripts/wrappers/neorg2
1 files changed, 1 insertions, 1 deletions
diff --git a/hm/soispha/pkgs/scripts/wrappers/neorg b/hm/soispha/pkgs/scripts/wrappers/neorg
index f26faac4..c1f23edb 100755
--- a/hm/soispha/pkgs/scripts/wrappers/neorg
+++ b/hm/soispha/pkgs/scripts/wrappers/neorg
@@ -141,7 +141,7 @@ LIST_list_all_contexts_comma() {
 # Add {{{
 ADD_open_taskwarrior_project_file() {
     task_project_file="%TASK_PROJECT_FILE";
-    cd "$task_project_file" || die "BUG: task_project_file ('$task_project_file') can't be accessed"
+    cd "$(dirname $task_project_file)" || die "BUG: task_project_file ('$task_project_file') can't be accessed"
     git_dir="$(search_flake_base_dir)";
     [ "$git_dir" ] || die "(BUG): No git directory?"
     cd "$git_dir" || die "Unreachable, this MUST exists"